mscorlib 2.0.0.0 4.0.0.0 System.Enum

The enumeration is used as a parameter to the attribute to specify the reliability guarantee on a given method.

Specifies a reliability contract.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.ConstrainedExecution.Consistency

  In the face of exceptional conditions, the common language runtime (CLR) makes no guarantees regarding state consistency in the current application domain.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.ConstrainedExecution.Consistency

  In the face of exceptional conditions, the method is guaranteed to limit state corruption to the current instance.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.ConstrainedExecution.Consistency

  In the face of exceptional conditions, the CLR makes no guarantees regarding state consistency; that is, the condition might corrupt the process.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.ConstrainedExecution.Consistency

  This does not guarantee that the method will never fail; however, it does guarantee that such a failure will never corrupt state.

  In the face of exceptional conditions, the method is guaranteed not to corrupt state.